GO-MTPFS(1)

NAME
go-mtpfs - FUSE filesystem for mounting Android device as MTP device

SYNOPSIS
go-mtpfs [options] directory

DESCRIPTION
This manual page documents briefly the go-mtpfs command.

go-mtpfs is a program that mounts an Android device as an MTP device. The only argument the program takes is the directory name.

Example usage:

mkdir xoom
go-mtpfs xoom &
cp -a ~/Music/Some-Album xoom/Music/
fusermount -u xoom

After a file is closed (e.g., if cp completes in the above example), it is safe to unplug the device; the filesystem then will continue to function, but generates I/O errors when it reads from or writes to the device.

OPTIONS
A summary of options is included below. -h, --help Show summary of options.

-allow-other
    Allow other users to access mounted fuse. Default: false.

-android
    Use Android extensions if available. Default: true.

-debug string
    Comma-separated list of debugging options: usb, data, mtp, fuse

-dev string
    Regular expression to filter device IDs, which are composed of manufacturer/product/serial.

-storage string
    Regular expression to filter storage areas.

-usb-timeout int
    Timeout in milliseconds. Default: 5000

-vfat
    Assume removable RAM media uses VFAT, and rewrite names. Default: true.

NOTES
This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page.